summaryrefslogtreecommitdiff
path: root/dev-java
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-15 18:32:45 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-15 18:32:45 +0000
commit2c5d82ec776e0489782f7df51adcacb389a80aec (patch)
tree14bdefff9d386e495e7f2473cb00095dc2cd873f /dev-java
parent87006ab87bd4add8073914637c07bc65f0eae8d9 (diff)
downloadbaldeagleos-repo-2c5d82ec776e0489782f7df51adcacb389a80aec.tar.gz
baldeagleos-repo-2c5d82ec776e0489782f7df51adcacb389a80aec.tar.xz
baldeagleos-repo-2c5d82ec776e0489782f7df51adcacb389a80aec.zip
Adding metadata
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/javax-persistence-api/Manifest1
-rw-r--r--dev-java/javax-persistence-api/javax-persistence-api-2.2.ebuild33
-rw-r--r--dev-java/javax-persistence-api/metadata.xml9
-rw-r--r--dev-java/osgi-cmpn/osgi-cmpn-8.0.0-r1.ebuild45
4 files changed, 88 insertions, 0 deletions
diff --git a/dev-java/javax-persistence-api/Manifest b/dev-java/javax-persistence-api/Manifest
new file mode 100644
index 000000000000..1860158b5d05
--- /dev/null
+++ b/dev-java/javax-persistence-api/Manifest
@@ -0,0 +1 @@
+DIST javax.persistence-api-2.2-sources.jar 257011 BLAKE2B 022d70134c8cd9cb8afd0f65f1530e8937dd3535ba533d98f59409f28a39b9238dc23e10b8f86378b1e817520839c25647aad4c01b9234dc65be4bd68bdc9bb6 SHA512 07a31f509fc7215e3f671579ce63161ac3e776171a240c9d087e8f47423d65f590026fe7c2fcd67365894ee906eb4b39e81f070d7f795346e18697775efdf428
diff --git a/dev-java/javax-persistence-api/javax-persistence-api-2.2.ebuild b/dev-java/javax-persistence-api/javax-persistence-api-2.2.ebuild
new file mode 100644
index 000000000000..3d5530cc261e
--- /dev/null
+++ b/dev-java/javax-persistence-api/javax-persistence-api-2.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="javax.persistence:javax.persistence-api:${PV}"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Persistence API"
+HOMEPAGE="https://www.jcp.org/en/jsr/detail?id=220"
+SRC_URI="https://repo1.maven.org/maven2/javax/persistence/${PN/-/.}/${PV}/${PN/-/.}-${PV}-sources.jar"
+
+LICENSE="CDDL"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+BDEPEND="app-arch/unzip"
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+
+JAVA_RESOURCE_DIRS="resources"
+
+src_prepare() {
+ java-pkg-2_src_prepare
+
+ # java-pkg-simple.eclass wants resources in JAVA_RESOURCE_DIRS
+ mkdir resources || die
+ find -type f \
+ -name '*.xsd' \
+ | xargs cp --parent -t resources || die
+}
diff --git a/dev-java/javax-persistence-api/metadata.xml b/dev-java/javax-persistence-api/metadata.xml
new file mode 100644
index 000000000000..a63267abaf71
--- /dev/null
+++ b/dev-java/javax-persistence-api/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-java/osgi-cmpn/osgi-cmpn-8.0.0-r1.ebuild b/dev-java/osgi-cmpn/osgi-cmpn-8.0.0-r1.ebuild
new file mode 100644
index 000000000000..00651e5ccc58
--- /dev/null
+++ b/dev-java/osgi-cmpn/osgi-cmpn-8.0.0-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="org.osgi:osgi.cmpn:8.0.0"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="OSGi Service Platform Compendium API (Companion Code)"
+HOMEPAGE="https://docs.osgi.org"
+SRC_URI="https://docs.osgi.org/download/r$(ver_cut 1)/${PN/-/.}-${PV}.jar -> ${P}.jar"
+
+LICENSE="Apache-2.0 OSGi-Specification-2.0"
+SLOT="8"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+CP_DEPEND="
+ dev-java/cdi-api:0
+ dev-java/javax-persistence-api:0
+ dev-java/jakarta-servlet-api:4
+ dev-java/javax-inject:0
+ dev-java/jaxrs-api:0
+ dev-java/osgi-annotation:0
+ dev-java/osgi-core:0
+"
+
+DEPEND="${CP_DEPEND}
+ >=virtual/jdk-11:*"
+
+RDEPEND="${CP_DEPEND}
+ >=virtual/jre-1.8:*"
+
+BDEPEND="app-arch/unzip"
+
+JAVA_SRC_DIR="OSGI-OPT/src"
+
+src_prepare() {
+ default
+ java-pkg_clean org
+ sed \
+ -e 's/javax\(.enterprise\)/jakarta\1/' \
+ -i OSGI-OPT/src/org/osgi/service/cdi/*/*.java || die
+}